<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2022-05-24 Tue 20:28 -->
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>3rd OTTR user forum, 2022-05-11</title>
<meta name="generator" content="Org mode" />
<meta name="author" content="Martin" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/style.css" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/spec.css" />
<script type="application/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://www.ottr.xyz/inc/toc.js"></script>
</head>
<body>
<div id="content">
<header>
<h1 class="title">3rd OTTR user forum, 2022-05-11</h1>
</header><div id="left">
<p>
  <a href="#top">top</a>
  <!--<br/>
  examples:
  <span class="button" onclick="$('.examplebox').show()">show</span>
  /
  <span class="button" onclick="$('.examplebox').hide()">hide</span>
  -->
</p>
  <h4>Table of Contents</h4>
  <div id="toc"></div>
</div>

<div id="right">
  <a name="top"></a>
  <h1 class="title">3rd OTTR user forum, 2022-05-11</h1>
  <img id="logo" alt="OTTR" src="../../logo/OTTR.jpg"/>

<div id="toc-content">

<p>
The 3rd edition of the OTTR user forum will take place (physically
only) as part of SIRIUS' (<a href="http://sirius-labs.no">http://sirius-labs.no</a>) general assembly (GA)
(programme:
<a href="https://sirius-labs.no/sirius-spring-general-assembly-2022/">https://sirius-labs.no/sirius-spring-general-assembly-2022/</a>) on
<b>2022-05-11</b> (<b>updated</b> 13:00 &#x2013; 15:45 CET). The purpose of the user forum
is to let users of the OTTR framework share experiences and to meet
the developers behind OTTR to discuss future directions.
</p>

<p>
For this event we invite in particular users that have hands-on
experience with the OTTR framework, as we are interested in discussing
how we best can support your wishes for future developments and if and
how we can collaborate on these tasks. This means that we will not
give any introduction to the OTTR framework and will assume that
participants understand the basics. However, we welcome everyone that
want to listen in. Introductory material can be found at
<a href="http://ottr.xyz">http://ottr.xyz</a>.
</p>

<div id="outline-container-org1bf9b43" class="outline-2">
<h2 id="org1bf9b43"><span class="section-number-2">1</span> Registration</h2>
<div class="outline-text-2" id="text-1">
<p>
As the user forum is organised as part of SIRIUS' GA, participants
need to register for the GA using the following form, <b>deadline April
22</b>: <del><a href="https://nettskjema.no/a/262815">https://nettskjema.no/a/262815</a></del>. Participation is free of charge.
</p>

<p>
We would also be grateful if you also register using the OTTR
project's registration form:
<del><a href="https://forms.gle/iDiEgs5oXgA9mnLo6">https://forms.gle/iDiEgs5oXgA9mnLo6</a></del>. Using this form is required if
you wish to give a talk.
</p>
</div>
</div>

<div id="outline-container-orgf0f6d44" class="outline-2">
<h2 id="orgf0f6d44"><span class="section-number-2">2</span> Agenda</h2>
<div class="outline-text-2" id="text-2">
<p>
The agenda is very open. We expect lively presentations and
discussions on the use and future developments of the OTTR
framework. 
</p>

<ul class="org-ul">
<li>Status and workshop planning</li>
<li>Talks: 10 mins talk + 5 mins QA</li>
<li>Open discussion: revisit talks, summary, future directions, getting involved</li>
</ul>
</div>
</div>

<div id="outline-container-orgd8ae994" class="outline-2">
<h2 id="orgd8ae994"><span class="section-number-2">3</span> Talks</h2>
<div class="outline-text-2" id="text-3">
<p>
Slides (abstracts below): 
</p>

<ul class="org-ul">
<li><a href="./slides/2022.05.11-Publishing_OTTR_Templates-Christian_M._Hansen.pdf">Christian M. Hansen, Aibel</a></li>
<li><a href="./slides/veronika_3rd_ottr_user_forum.pdf">Veronika Heimsbakk, CapGemini</a></li>
<li><a href="./slides/Moritz_OTTR_user_forum_2022.pdf">Moritz Blum, Bielefeld University</a></li>
<li>Mikkel Brynildsen, Grundfos (slides not yet available)</li>
<li><a href="./slides/Kindermann_pres.pdf">Christian Kindermann, University of Oslo</a></li>
<li><a href="./slides/Johan-OTTRforum2022-03.html">Johan W. Klüwer, DNV-GL</a></li>
</ul>
</div>


<div id="outline-container-org559f508" class="outline-3">
<h3 id="org559f508"><span class="section-number-3">3.1</span> Christian M. Hansen, Aibel</h3>
<div class="outline-text-3" id="text-3-1">
<p>
A key factor for successfully applying OTTR templates in an industrial
context, is the ability to share templates, both within an
organization, and, of course, between organizations. Within an
organization, you would want a single source (or a set of sources,
each for a distinct topic) from which to retrieve template definitions
whenever you need them in various applications. The same applies to
cross-organizational template definitions; it is then even more
important to have a single-source-of-truth for shared templates.
</p>

<p>
For various reasons, it is often impractical to adhere to the
requirement that each template must be retrievable from the IRI that
identifies it ('resolvable IRIs'). In order to still be able to serve
templates from a single, authorative source, it is desirable to
implement a Template Library service; a REST-ful web service from
which template definitions can be retrieved, and docttr documentation
for templates is served, regardless of the namespaces of the template
IRIs. And even if a template is served from its identifier IRI, it is
not clear which syntax to use when returning a template definition to
a client, or even when to instead return the docttr html. As of now,
there is no OTTR specification covering these topics. In my talk, I
will argue for the need for such a specification, and outline some
ideas for what it should contain.
</p>
</div>
</div>

<div id="outline-container-org855aae9" class="outline-3">
<h3 id="org855aae9"><span class="section-number-3">3.2</span> Veronika Heimsbakk, CapGemini</h3>
<div class="outline-text-3" id="text-3-2">
<p>
The Norwegian Maritime Authority (NMA) maintain several coding systems
in Excel sheets. These coding systems contain valuable information
about classes and individuals in NMA's ontology. We use OTTR for graph
enrichment through tabOTTR to enrich our graph with information found
in the coding systems.
</p>
</div>
</div>

<div id="outline-container-org8bdae18" class="outline-3">
<h3 id="org8bdae18"><span class="section-number-3">3.3</span> Moritz Blum, Bielefeld University</h3>
<div class="outline-text-3" id="text-3-3">
<p>
Ontology engineering with OTTR: benefits &amp; challenges derived from
practical experience
</p>

<p>
We report our experience gained in the development of the DiProMag
Ontology using OTTR.
</p>

<p>
The DiProMag ontology models experiments with magnetocaloric alloys in
the material science domain. Exposing domain experts to OTTR templates
instead of RDF helps to simplify the communication and helps to
clarify the responsibilities of the involved parties in the ontology
development. In a bottom-up (data driven) ontology engineering
approach, OTTR template signatures have turned out to be a good basis
for communication as they allow the domain experts to take an active
role in the ontology development. Furthermore, we show how we involve
the OTTR Semantic MediaWiki extension to store template definitions
and instantiations in a Wiki as a tool for project internal
collaboration.
</p>

<p>
As a result, we outline the benefits and challenges we observed,
explain the design decision we had to make, and propose a starting
point for a new methodology that uses OTTR.
</p>
</div>
</div>

<div id="outline-container-org783cf7d" class="outline-3">
<h3 id="org783cf7d"><span class="section-number-3">3.4</span> Mikkel Brynildsen, Grundfos</h3>
<div class="outline-text-3" id="text-3-4">
<p>
Grundfos is building a source table editing platform that will be
tailored for OTTR templates. Information engineers should be able to
log in and create/update data for a large product ontology.
</p>
</div>
</div>

<div id="outline-container-orgc4770ed" class="outline-3">
<h3 id="orgc4770ed"><span class="section-number-3">3.5</span> Christian Kindermann, University of Oslo</h3>
<div class="outline-text-3" id="text-3-5">
<p>
Ontologies following a pattern-based design are likely to contain
repetitive structures.  Such structures may be used to bootstrap
rewritings of ontologies with OTTR templates. In this talk, I will
present first ideas about reverse-engineering ontologies for the
purpose of encoding repetitive structures with OTTR templates. I will
show how such rewritings can be (semi-)automated and how they can
provide useful insights into an ontology's design.
</p>
</div>
</div>

<div id="outline-container-orgec9c691" class="outline-3">
<h3 id="orgec9c691"><span class="section-number-3">3.6</span> Johan W. Klüwer, DNV-GL</h3>
<div class="outline-text-3" id="text-3-6">
<p>
Topic: Template libraries for modular ontologies. I'd like to raise
this issue for discussion: how online template libraries that support
specific ontologies should be built, made available, and maintained.
</p>
</div>
</div>
</div>
</div>
</body>
</html>
